complexType "TradeNotionalChange"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 14 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, (tradeIdentifier+ | originalTrade)?, agreementDate?, executionDateTime?, effectiveDate?, payment*, ((changeInNotionalAmount+, outstandingNotionalAmount*) | (changeInNumberOfOptions, outstandingNumberOfOptions?) | (changeInNumberOfUnits, outstandingNumberOfUnits?) | sizeChange+)?
</...>

Content Model Elements (14):

  agreementDate,
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  changeInNumberOfOptions (defined in TradeNotionalChange.model group),
  changeInNumberOfUnits (defined in TradeNotionalChange.model group),
  effectiveDate (defined in AgreementAndEffectiveDates.model group),
  eventIdentifier (defined in AbstractEvent complexType),
  executionDateTime (defined in AgreementAndEffectiveDates.model group),
  originalTrade (defined in TradeChangeBase complexType),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  outstandingNumberOfOptions (defined in TradeNotionalChange.model group),
  outstandingNumberOfUnits (defined in TradeNotionalChange.model group),
  payment (defined in TradeAlterationPayment.model group),
  sizeChange,
  tradeIdentifier (defined in TradeChangeBase complexType)

All Direct / Indirect Based Elements (2):

  increase, termination

Known Usage Locations

- As direct type of elements (2):
  increase, termination

Annotation
A structure describing a change to the size of a trade.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) TradeChangeBase (extension) TradeNotionalChange

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="TradeNotionalChange"> <xsd:complexContent> <xsd:extension base="TradeChangeBase"> <xsd:choice minOccurs="0"> <xsd:group fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The model could not provide support for linking notionals with product legs. Also, there was limitation in the existing increase and termination events which don&#8217;t allow the reporting of both change of units or change of notional amount as required for dividend swaps, for example. Instead, sizeChange, should be used." ref="TradeNotionalChange.model"/> <xsd:element maxOccurs="unbounded" name="sizeChange" type="TradeLegSizeChange"/> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/14)
sizeChange

  Type: | TradeLegSizeChange, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="sizeChange" type="TradeLegSizeChange"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.